godo.Kubernetes.DeleteNode()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.Kubernetes.DeleteNode(ctx context.Context, clusterID string, poolID string, nodeID string, deleteReq *godo.KubernetesNodeDeleteRequest) (*godo.Response, error)Description
DeleteNode deletes a specific node in a node pool.
This method sends a DELETE request to /v2/kubernetes/clusters/{}/node_pools/{}/nodes/{}.
Parameters
clusterIDstring requiredpoolIDstring requirednodeIDstring requireddeleteReq*godo.KubernetesNodeDeleteRequest required
Fields of godo.KubernetesNodeDeleteRequest
KubernetesNodeDeleteRequest is a request to delete a specific node in a node pool.
ReplaceboolReplacewill cause a new node to be created to replace the deleted node.SkipDrainboolSkipDrainskips draining the node before deleting it.
Returns
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.Response
Response is a DigitalOcean response. This wraps the standard http.Response returned from DigitalOcean.
Response*http.ResponseLinks*godo.LinksLinksthat were returned with the response. These are parsed from
request body and not the header.Meta*godo.MetaMetadescribes generic information about the response.MonitorstringMonitoring URI
Rategodo.Rate
Request Sample
More Information
See DELETE /v2/kubernetes/clusters/{}/node_pools/{}/nodes/{} in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.